summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Strong <andrew.david.45@gmail.com>2010-05-11 20:01:37 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:01:37 +0200
commit5c8b664981dceef100c5dd7632f8d3001acb820f (patch)
tree15f4eee3630629947e184efa239d36b9ee0e76ec
parent707fdb89f8524303fa04f10edd81192b9bd7b19e (diff)
downloadslackbuilds-5c8b664981dceef100c5dd7632f8d3001acb820f.tar.gz
slackbuilds-5c8b664981dceef100c5dd7632f8d3001acb820f.tar.xz
network/leafnode: Added to 12.0 repository
-rw-r--r--network/leafnode/README44
-rw-r--r--network/leafnode/doinst.sh9
-rw-r--r--network/leafnode/leafnode.SlackBuild96
-rw-r--r--network/leafnode/leafnode.info8
-rw-r--r--network/leafnode/slack-desc19
5 files changed, 176 insertions, 0 deletions
diff --git a/network/leafnode/README b/network/leafnode/README
new file mode 100644
index 0000000000..e35e2cd537
--- /dev/null
+++ b/network/leafnode/README
@@ -0,0 +1,44 @@
+Leafnode 2 is an NNTP proxy server intended for small sites, where
+there are few users and little disk space, but where a large number of
+groups is desired. It can also be used to give a regular newsreader
+off-line functionality. The leafnode program itself is the server while
+the programs fetchnews and texpire transport the news and expire old
+articles respectively.
+
+There is a little work to do to install this program effectively, all
+of which is clearly set out in the README file contained in the source.
+It is strongly advised for you to read it thoroughly before installing
+leafnode. Below is a quick sketch of the requirements for Leafnode setup:
+
+After the installation, you need to:
+1. Ensure $NNTPSERVER or /etc/nntpserver point to localhost.
+2. Set /etc/inetd.conf so leafnode is executed for incoming NNTP connections.
+ nntp stream tcp nowait news /usr/sbin/tcpd /usr/sbin/leafnode
+3. Set /etc/hosts.deny and /etc/hosts.allow to protect the server. See the
+ README
+ /etc/hosts.deny: leafnode: ALL
+ /etc/hosts.allow: leafnode: 127.0.0.1
+4. Create /etc/leafnode/config and adjust settings as required. A sample
+ file - /etc/leafnode/config.example - is already there.
+5. Set cronjobs for fetchnews and texpire.
+6. Fetch the newsgroup list from your server.
+ /usr/sbin/fetchnews -vv
+ /usr/sbin/texpire -vv
+ ** texpire will make sure the leafnode news spool is in working order.
+7. Set your newsreader to use the localhost leafnode.
+
+All of this is carefully written up in the README file of the source code and I
+stress again the importance of reading that file thorougly. You may also want
+to read the following guides:
+
+The below guide is specifically aimed at slackware users and details concise
+and quickl instructions on how to get a good leafnode install up and working:
+
+* http://www.andrews-corner.org/leafnode.html
+
+While the guide below is not specifically written for Slackware, it offers
+many good tips and many ideas for scripts to make working with
+leafnode easier.
+
+* http://homepage.ntlworld.com/garryknight/linux/leafnode.html
+
diff --git a/network/leafnode/doinst.sh b/network/leafnode/doinst.sh
new file mode 100644
index 0000000000..a768dc8c1d
--- /dev/null
+++ b/network/leafnode/doinst.sh
@@ -0,0 +1,9 @@
+
+if [ ! -e etc/leafnode/local.groups ]; then
+ touch etc/leafnode/local.groups
+fi
+
+if [ ! -e etc/leafnode/moderators ]; then
+ touch etc/leafnode/moderators
+fi
+
diff --git a/network/leafnode/leafnode.SlackBuild b/network/leafnode/leafnode.SlackBuild
new file mode 100644
index 0000000000..fab008351a
--- /dev/null
+++ b/network/leafnode/leafnode.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware 12 build script for Leafnode 2
+
+# Copyright 2008-2009 Andrew Strong (http://www.andrews-corner.org)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Build script modified by the SlackBuilds.org project
+
+PRGNAM=leafnode
+VERSION=2.0.0.alpha20070602a
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc/leafnode \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --enable-runas-user=news
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/tools
+cp -a AUTHORS COPYING* CREDITS ChangeLog CHANGES-FROM-LEAFNODE-1 DEBUGGING \
+ FAQ.* INSTALL NEWS README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# The following files are marked in the documentation as 'not usually installed'
+# but I file them here (not installed) for the sake of completion :-)
+cp -a tools/* $PKG/usr/doc/$PRGNAM-$VERSION/tools
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/leafnode/leafnode.info b/network/leafnode/leafnode.info
new file mode 100644
index 0000000000..c87fcc6e6c
--- /dev/null
+++ b/network/leafnode/leafnode.info
@@ -0,0 +1,8 @@
+PRGNAM="leafnode"
+VERSION="2.0.0.alpha20070602a"
+HOMEPAGE="http://www-dt.e-technik.uni-dortmund.de/~ma/leafnode/beta/"
+DOWNLOAD="http://home.pages.de/~mandree/leafnode/beta/leafnode-2.0.0.alpha20070602a.tar.bz2"
+MD5SUM="83d9b7785479620843523d6c80fcc01e"
+MAINTAINER="Andrew Strong"
+EMAIL="andrew.david.45@gmail.com"
+APPROVED="Michiel,rworkman"
diff --git a/network/leafnode/slack-desc b/network/leafnode/slack-desc
new file mode 100644
index 0000000000..b96566d252
--- /dev/null
+++ b/network/leafnode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+leafnode: Leafnode-2 (a store-and-forward NNTP proxy server)
+leafnode:
+leafnode: Leafnode-2 is an NNTP proxy server intended for small sites, where
+leafnode: there are few users and little disk space, but where a large number
+leafnode: of groups is desired. It can also be used to give a regular
+leafnode: newsreader off-line functionality. The leafnode program itself is
+leafnode: the server while the programs fetchnews and texpire transport the
+leafnode: the news and expire old articles respectively.
+leafnode:
+leafnode: Homepage: http://www-dt.e-technik.uni-dortmund.de/~ma/leafnode/beta/
+leafnode: